import Home from "@/views/home/Home";
import Login from "@/views/home/Login";
import ControlCabin from "@/views/control_cabin/ControlCabin";
import MattersGuidance from "@/views/matters_guidance/MattersGuidance";
import MainBody from "@/views/matters_guidance/mian_body/MainBody";
import DetailInfo from "@/views/matters_guidance/detail_info/DetailInfo";
import HandleSituation from "@/views/handle_situation/HandleSituation";
import HandleAnalysis from "@/views/handle_analysis/HandleAnalysis";
import Evaluate from "@/views/evaluate/Evaluate";
import ElectricCard from "@/views/electricCard/ElectricCard";
import Origion from "@/views/Origion";

const routers = [
    {
        path:'/login',
        name:'login',
        component:Login
    },
    {
      path:'/',
      redirect:'/origion/home'
    },
    {
        path:'/origion',
        name:'origion',
        component:Origion,
        children:[
            {
                name:'home',
                component:Home,
                path:'home'
            },
            {
                name:'controlCabin',
                component:ControlCabin,
                path:'controlCabin'
            },
            {
                name:'handleAnalysis',
                component:HandleAnalysis,
                path:'handleAnalysis'
            },
            {
                name:'electricCard',
                component:ElectricCard,
                path:'electricCard'
            },
            {
                name:'mattersGuidance',
                component:MattersGuidance,
                path:'mattersGuidance',
                children:[
                    {
                        name:'mainBody',
                        component:MainBody,
                        path:'mainBody'
                    },
                    {
                        name:'detailInfo',
                        component:DetailInfo,
                        path:'detailInfo'
                    },
                ]
            },
            {
                name:'handleSituation',
                component:HandleSituation,
                path:'handleSituation'
            },
            {
                name:'evaluate',
                component:Evaluate,
                path:'evaluate'
            },
        ]
    },
    // {
    //     path:'/home',
    //     name:'home',
    //     component:Home
    // },
    // {
    //     path:'/controlCabin',
    //     name:'controlCabin',
    //     component:ControlCabin
    // },
    // {
    //     path:'/handleAnalysis',
    //     name:'HandleAnalysis',
    //     component:HandleAnalysis
    // },
    // {
    //     path:'/electricCard',
    //     name:'electricCard',
    //     component:ElectricCard
    // },
    // {
    //     path:'/mattersGuidance',
    //     name:'mattersGuidance',
    //     component:MattersGuidance,
    //     children:[
    //         {
    //             name:'mainBody',
    //             component:MainBody,
    //             path:'mainBody'
    //         },
    //         {
    //             name:'detailInfo',
    //             component:DetailInfo,
    //             path:'detailInfo'
    //         },
    //     ]
    // },
    // {
    //     path:'/handleSituation',
    //     name:'handleSituation',
    //     component:HandleSituation
    // },
    // {
    //     path:'/evaluate',
    //     name:'evaluate',
    //     component:Evaluate
    // },
]
export default routers
